package com.steerinfo.baseinfo.meterbaseunitinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="收发货单位期限配置表")
public class MeterBaseUnitInfo implements IBasePO<String> {
    /**
     * 主键编号（YYYYMMDD+流水号）(UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号（YYYYMMDD+流水号）",required=true)
    private String unitNo;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="发货单位编号",required=true)
    private String forwardingUnitNo;

    /**
     * 收货单位(FORWARDING_UNIT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="收货单位",required=true)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UNIT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="收货单位编号",required=true)
    private String receivingUnitNo;

    /**
     * 发货单位(RECEIVING_UNIT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="发货单位",required=true)
    private String receivingUnitName;

    /**
     * 是否允许使用期限皮重(0不可，1可以)(ALLOWED_TARE_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用期限皮重(0不可，1可以)",required=true)
    private String allowedTareWeight;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 是否有效（0：无效；1：有效）(VAULE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否有效（0：无效；1：有效）",required=false)
    private String vauleFlag;

    /**
     * 物料编号(MATTER_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 车号(CAR_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.unitNo;
    }

    @Override
    public void setId(String unitNo) {
        this.unitNo = unitNo == null ? null : unitNo.trim();
    }

    public String getUnitNo() {
        return unitNo;
    }

    public void setUnitNo(String unitNo) {
        this.unitNo = unitNo == null ? null : unitNo.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUnitNo() {
        return receivingUnitNo;
    }

    public void setReceivingUnitNo(String receivingUnitNo) {
        this.receivingUnitNo = receivingUnitNo == null ? null : receivingUnitNo.trim();
    }

    public String getReceivingUnitName() {
        return receivingUnitName;
    }

    public void setReceivingUnitName(String receivingUnitName) {
        this.receivingUnitName = receivingUnitName == null ? null : receivingUnitName.trim();
    }

    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight == null ? null : allowedTareWeight.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getVauleFlag() {
        return vauleFlag;
    }

    public void setVauleFlag(String vauleFlag) {
        this.vauleFlag = vauleFlag == null ? null : vauleFlag.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", unitNo=").append(unitNo);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUnitNo=").append(receivingUnitNo);
        sb.append(", receivingUnitName=").append(receivingUnitName);
        sb.append(", allowedTareWeight=").append(allowedTareWeight);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", vauleFlag=").append(vauleFlag);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", carNo=").append(carNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}